how to disable all wp updates - ever

Hello,

since automatic updates sometimes break websites, I would like to disactivate all updates and schedule manually updates once or twice a year.

I found codes suggestions for this and I would like to double check with you which should I use:

define( 'AUTOMATIC_UPDATER_DISABLED', true );

Is this the correct line? Should I just add it or should I change an existing line to this?

Thanks!

  • Nithin
    • Support Wizard

    Hi Fortunella74,

    Hope you are doing good today. :slight_smile:

    define( 'AUTOMATIC_UPDATER_DISABLED', true );

    Yes you are right, defining this constant in your wp-config.php file will disable automatic updates, please make sure to add this before the line /* That's all, stop editing! Happy blogging. */.

    Please do note that by default only security updates are automatic, ie version 4.5.x, current 4.5.2. Would recommend that you keep these automatic, so that your site stays secure to the date. If your hosting provider decides to update, defining this constant won't have much effect in such situations.

    Please let us know if you need any further assistance. Have a nice weekend. :slight_smile:

    Kind Regards,
    Nithin

  • Fortunella74
    • The Incredible Code Injector

    Thank you for your quick response.

    Only security updates are automatic? I had a website that was broke following an update, as there was an uncopatibility with plugins (I think seo yoast or maybe some template plugin)

    How do I keep only security updates on?

    Thank you for your help! Have a nice week-end too!

  • Nithin
    • Support Wizard

    Hi Fortunella74,

    WordPress doesn't provide automatic update by default for major versions ie: for eg: from 4.4 to 4.5, these updates are manual. You have an option to enable automatic core updates for major versions, but by default it doesn't update major versions, only security releases are automatic. You can find more information here: http://codex.wordpress.org/Configuring_Automatic_Background_Updates
    https://halfelf.org/2013/dont-fear-the-auto-update/

    Sometimes these critical security update might cause some conflicts(rare), I'm not aware of a compatibility issue reported for 4.5.2, but a conflict is more of a issue from the plugins side, updating the plugin would be solution rather than reverting WordPress.

    Kind Regards,
    Nithin

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.